= nng_msg_clear(3)
//
// Copyright 2018 Staysail Systems, Inc. <info@staysail.tech>
// Copyright 2018 Capitar IT Group BV <info@capitar.com>
//
// This document is supplied under the terms of the MIT License, a
// copy of which should be located in the distribution where this
// file was obtained (LICENSE.txt).  A copy of the license may also be
// found online at https://opensource.org/licenses/MIT.
//

== NAME

nng_msg_clear - clear message body content

== SYNOPSIS

[source, c]
----
#include <nng/nng.h>

void nng_msg_clear(nng_msg *msg);
----

== DESCRIPTION

The `nng_msg_clear()` function resets the body length of _msg_ to zero.

== RETURN VALUES

None.

== ERRORS

None.

== SEE ALSO

[.text-left]
xref:nng_msg.5.adoc[nng_msg(5)],
xref:nng.7.adoc[nng(7)]
